Show / Hide Table of Contents

# Class MarketBoardCurrentOfferings.MarketBoardItemListing

This class represents the current market board offering of a single item from the MarketBoardCurrentOfferings network packet.

##### Inheritance

System.Object
MarketBoardCurrentOfferings.MarketBoardItemListing

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Network.Structures

###### Assembly: Dalamud.dll

##### Syntax

    public class MarketBoardItemListing

### Properties

| Improve this Doc View Source

#### ArtisanId

Gets the artisan ID.

##### Declaration

    public ulong ArtisanId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### CatalogId

Gets the catalog ID.

##### Declaration

    public uint CatalogId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### IsHq

Gets a value indicating whether the item is HQ.

##### Declaration

    public bool IsHq { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ItemQuantity

Gets the item quantity.

##### Declaration

    public uint ItemQuantity { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### LastReviewTime

Gets the time this offering was last reviewed.

##### Declaration

    public DateTime LastReviewTime { get; }

##### Property Value

Type | Description
--- | ---
System.DateTime |

| Improve this Doc View Source

#### ListingId

Gets the listing ID.

##### Declaration

    public ulong ListingId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Materia

Gets the list of materia attached to this item.

##### Declaration

    public List<MarketBoardCurrentOfferings.MarketBoardItemListing.ItemMateria> Materia { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.List<MarketBoardCurrentOfferings.MarketBoardItemListing.ItemMateria> |

| Improve this Doc View Source

#### MateriaCount

Gets the amount of attached materia.

##### Declaration

    public int MateriaCount { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### OnMannequin

Gets a value indicating whether this item is on a mannequin.

##### Declaration

    public bool OnMannequin { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### PlayerName

Gets the player name.

##### Declaration

    public string PlayerName { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### PricePerUnit

Gets the price per unit.

##### Declaration

    public uint PricePerUnit { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### RetainerCityId

Gets the city ID of the retainer selling the item.

##### Declaration

    public int RetainerCityId { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RetainerId

Gets the ID of the retainer selling the item.

##### Declaration

    public ulong RetainerId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### RetainerName

Gets the name of the retainer.

##### Declaration

    public string RetainerName { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### RetainerOwnerId

Gets the ID of the retainer's owner.

##### Declaration

    public ulong RetainerOwnerId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### StainId

Gets the stain or applied dye of the item.

##### Declaration

    public int StainId { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TotalTax

Gets the total tax.

##### Declaration

    public uint TotalTax { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |